<template>
  <div class="userBlock">
    <el-row :gutter="40">
      <el-col :span="10" class="borderRight">
        <template v-if="client.people">
          <p>{{ client.people.last_name }} {{ client.people.first_name }} {{ client.people.patronymic }}</p>
        </template>
        <template v-if="client.company">
          <p v-if="client.company">{{ client.company.full_name_comp }}</p>
        </template>
        <template v-if="client.ip">
          <p v-if="client.ip">{{ client.ip.name_comp_for_cb }}</p>
        </template>
        <p><span class="preBold">id</span> {{ client.id }}</p>
        <p class="typeText" v-for="item in client.roles" v-bind:key="item.id">{{ item.name }}</p>
      </el-col>
      <el-col :span="10">
        <p class="head">Создан</p>
        <p><img src="@/assets/clients/date.svg" class="icon-image" alt=""> {{ dateFormat(client.created_at) }}</p>
        <p><img src="@/assets/clients/edited.svg" class="icon-image" alt=""> {{ dateFormat(client.updated_at) }}
<!--          <i class="author">Rybakov-AV</i>-->
        </p>
      </el-col>
      <el-col :span="4" class="text-right">
        <el-dropdown trigger="click" @command="handleCommand">
        <span class="el-dropdown-link">
          <img src="@/assets/clients/edit.svg" alt="">
        </span>
          <template #dropdown>
            <el-dropdown-menu>
              <el-dropdown-item command="open"><span>Карточка</span> <img src="@/assets/clients/add2.svg" class="icon-image" alt=""></el-dropdown-item>
              <el-dropdown-item command="docs"><span>Перечень документов</span> <img src="@/assets/clients/docs.svg" class="icon-image" alt=""></el-dropdown-item>
              <el-dropdown-item command="delete"><span>Удалить</span> <img src="@/assets/clients/trash.svg" class="icon-image" alt=""></el-dropdown-item>
            </el-dropdown-menu>
          </template>
        </el-dropdown>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import moment from "moment";
export default {
  props:{
    client: [Object, Array]
  },
  data:()=>({
    loading: false
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    },
    handleCommand(command){
      switch (command) {
        case "open":
          this.$router.push({name:'PersonPage',params:{id: this.client.id}});
          break;
        case "docs":
          console.log("docs");
          break;
        case "delete":
          console.log("delete");
          break;
      }
    }
  }
}
</script>